rte_security_ipsec_tunnel_param(3)

NAME
rte_security_ipsec_tunnel_param

SYNOPSIS

#include <rte_security.h>

  Data Fields

enum rte_security_ipsec_tunnel_type type

Detailed Description

IPSEC tunnel parameters

These parameters are used to build outbound tunnel headers.

Definition at line 70 of file rte_security.h.

Field Documentation

  enum rte_security_ipsec_tunnel_type type
Tunnel type: IPv4 or IPv6

Definition at line 71 of file rte_security.h.

  struct in_addr src_ip
IPv4 source address

Definition at line 75 of file rte_security.h.

  struct in_addr dst_ip
IPv4 destination address

Definition at line 77 of file rte_security.h.

  uint8_t dscp
IPv4 Differentiated Services Code Point

IPv6 Differentiated Services Code Point

Definition at line 79 of file rte_security.h.

  uint8_t df
IPv4 Don't Fragment bit

Definition at line 81 of file rte_security.h.

  uint8_t ttl
IPv4 Time To Live

Definition at line 83 of file rte_security.h.

  struct { ... } ipv4
IPv4 header parameters

  struct rte_ipv6_addr src_addr
IPv6 source address

Definition at line 88 of file rte_security.h.

  struct rte_ipv6_addr dst_addr
IPv6 destination address

Definition at line 90 of file rte_security.h.

  uint32_t flabel
IPv6 flow label

Definition at line 94 of file rte_security.h.

  uint8_t hlimit
IPv6 hop limit

Definition at line 96 of file rte_security.h.

  struct { ... } ipv6
IPv6 header parameters

Author

Generated automatically by Doxygen for DPDK from the source code.